ch.qos.logback.classic.jmx

## Class MBeanUtil

- java.lang.Object
- - ch.qos.logback.classic.jmx.MBeanUtil

    public class MBeanUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MBeanUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `createAndRegisterJMXConfigurator(MBeanServer mbs, LoggerContext loggerContext, JMXConfigurator jmxConfigurator, ObjectName objectName, Object caller)`
`static String` `getObjectNameFor(String contextName, Class type)`
`static boolean` `isRegistered(MBeanServer mbs, ObjectName objectName)`
`static ObjectName` `string2ObjectName(Context context, Object caller, String objectNameAsStr)`
`static void` `unregister(LoggerContext loggerContext, MBeanServer mbs, ObjectName objectName, Object caller)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MBeanUtil

    public MBeanUtil()

### Method Detail

#### getObjectNameFor

    public static String getObjectNameFor(String contextName,
                                          Class type)

#### string2ObjectName

    public static ObjectName string2ObjectName(Context context,
                                               Object caller,
                                               String objectNameAsStr)

#### isRegistered

    public static boolean isRegistered(MBeanServer mbs,
                                       ObjectName objectName)

#### createAndRegisterJMXConfigurator

    public static void createAndRegisterJMXConfigurator(MBeanServer mbs,
                                                        LoggerContext loggerContext,
                                                        JMXConfigurator jmxConfigurator,
                                                        ObjectName objectName,
                                                        Object caller)

#### unregister

    public static void unregister(LoggerContext loggerContext,
                                  MBeanServer mbs,
                                  ObjectName objectName,
                                  Object caller)